'\" t
.\"     Title: pg_controldata
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "PG_CONTROLDATA" "1" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
pg_controldata \- display control information of a PostgreSQL database cluster
.SH "SYNOPSIS"
.HP \w'\fBpg_controldata\fR\ 'u
\fBpg_controldata\fR [\fIoption\fR] [[\fB\-D\fR]\ \fIdatadir\fR]
.SH "DESCRIPTION"
.PP
\fBpg_controldata\fR
prints information initialized during
\fBinitdb\fR, such as the catalog version\&. It also shows information about write\-ahead logging and checkpoint processing\&. This information is cluster\-wide, and not specific to any one database\&.
.PP
This utility can only be run by the user who initialized the cluster because it requires read access to the data directory\&. You can specify the data directory on the command line, or use the environment variable
\fBPGDATA\fR\&. This utility supports the options
\fB\-V\fR
and
\fB\-\-version\fR, which print the
pg_controldata
version and exit\&. It also supports options
\fB\-?\fR
and
\fB\-\-help\fR, which output the supported arguments\&.
.SH "ENVIRONMENT"
.PP
\fBPGDATA\fR
.RS 4
Default data directory location
.RE
